Bug 233603 - dns/powerdns-recursor: Update to 4.1.8 (Fixes CVE-2018-16855)
Summary: dns/powerdns-recursor: Update to 4.1.8 (Fixes CVE-2018-16855)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Steve Wills
URL: https://doc.powerdns.com/recursor/cha...
Keywords: easy, security
: 233602 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-11-28 09:17 UTC by Ralf van der Enden
Modified: 2018-12-09 22:06 UTC (History)
2 users (show)

See Also:
tremere: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Update to PowerDNS Recursor 4.1.8 (846 bytes, patch)
2018-11-28 09:17 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
VuXML entry for dns/powerdns-recursor 4.1.8 (1.66 KB, patch)
2018-11-28 09:21 UTC, Ralf van der Enden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2018-11-28 09:17:06 UTC
This update fixes the following security advisory:
- PowerDNS Security Advisory 2018-09 (CVE-2018-16855)

Full changelog: https://doc.powerdns.com/recursor/changelog/4.1.html#change-4.1.8

Buildlog: https://pkg.cainites.net/data/latest-per-pkg/powerdns-recursor/4.1.8/freebsd_11x64-system.log
Comment 1 Ralf van der Enden 2018-11-28 09:17:44 UTC
Created attachment 199634 [details]
Update to PowerDNS Recursor 4.1.8
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-11-28 09:20:14 UTC
Pending VuXML update/entry
Comment 3 Ralf van der Enden 2018-11-28 09:21:52 UTC
Created attachment 199635 [details]
VuXML entry for dns/powerdns-recursor 4.1.8
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-11-28 09:22:23 UTC
*** Bug 233602 has been marked as a duplicate of this bug. ***
Comment 5 Ralf van der Enden 2018-12-06 11:45:41 UTC
Is anything else required from me? Just curious how to get this PR "in motion".
Comment 6 commit-hook freebsd_committer 2018-12-09 21:37:40 UTC
A commit references this bug:

Author: swills
Date: Sun Dec  9 21:36:46 UTC 2018
New revision: 487091
URL: https://svnweb.freebsd.org/changeset/ports/487091

Log:
  Document powerdns-recursor issue

  PR:		233603
  Submitted by:	Ralf van der Enden <tremere@cainites.net>

Changes:
  head/security/vuxml/vuln.xml
Comment 7 commit-hook freebsd_committer 2018-12-09 21:37:42 UTC
A commit references this bug:

Author: swills
Date: Sun Dec  9 21:37:20 UTC 2018
New revision: 487092
URL: https://svnweb.freebsd.org/changeset/ports/487092

Log:
  dns/powerdns-recursor: Update to 4.1.8

  PR:		233603
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  MFH:		2018Q4
  Security:	f6d6308a-f2ec-11e8-b005-6805ca2fa271

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
Comment 8 commit-hook freebsd_committer 2018-12-09 22:01:01 UTC
A commit references this bug:

Author: swills
Date: Sun Dec  9 22:00:25 UTC 2018
New revision: 487094
URL: https://svnweb.freebsd.org/changeset/ports/487094

Log:
  MFH: r487092

  dns/powerdns-recursor: Update to 4.1.8

  PR:		233603
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Security:	f6d6308a-f2ec-11e8-b005-6805ca2fa271

  Approved by:	ports-secteam (implici)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/dns/powerdns-recursor/Makefile
  branches/2018Q4/dns/powerdns-recursor/distinfo
Comment 9 Steve Wills freebsd_committer 2018-12-09 22:06:54 UTC
Committed and merged. Sorry for the delay. Thanks!